CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2007-1863

cache_util.c in the mod_cache module in Apache HTTP Server (httpd), when caching is enabled and a threaded Multi-Processing Module (MPM) is used, allows remote attackers to cause a denial of service (child processing handler crash) via a request with the (1) s-maxage, (2) max-age, (3) min-fresh, or (4) max-stale Cache-Control headers without a value.
Publish Date : 2007-06-27 Last Update Date : 2012-10-30
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of Service
CWE ID CWE id is not defined for this vulnerability

- Vendor Statements

Fixed in Apache HTTP Server 2.2.6 and 2.0.61: http://httpd.apache.org/security/vulnerabilities_22.html http://httpd.apache.org/security/vulnerabilities_20.html
Source: Apache

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat moderate 2007-05-02 2007-05-02
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
cache_util.c in the mod_cache module in Apache HTTP Server (httpd), when caching is enabled and a threaded Multi-Process... oval:org.mitre.oval:def:9824 unix
CVE-2007-1863 oval:org.opensuse.security:def:20071863 unix
ELSA-2007:0556: httpd security update (Moderate) oval:org.mitre.oval:def:22543 unix
mod_cache proxy DoS oval:org.apache.httpd:def:20071863
RHSA-2007:0533: httpd security update (Moderate) oval:com.redhat.rhsa:def:20070533 unix
RHSA-2007:0534: httpd security update (Moderate) oval:com.redhat.rhsa:def:20070534 unix
RHSA-2007:0556: httpd security update (Moderate) oval:com.redhat.rhsa:def:20070556 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2007-1863

# Product Type Vendor Product Version Update Edition Language
1 OS Apple Mac Os X Server 10.0 Version Details Vulnerabilities
2 OS Apple Mac Os X Server 10.1 Version Details Vulnerabilities
3 OS Apple Mac Os X Server 10.1.1 Version Details Vulnerabilities
4 OS Apple Mac Os X Server 10.1.2 Version Details Vulnerabilities
5 OS Apple Mac Os X Server 10.1.3 Version Details Vulnerabilities
6 OS Apple Mac Os X Server 10.1.4 Version Details Vulnerabilities
7 OS Apple Mac Os X Server 10.1.5 Version Details Vulnerabilities
8 OS Apple Mac Os X Server 10.2 Version Details Vulnerabilities
9 OS Apple Mac Os X Server 10.2.1 Version Details Vulnerabilities
10 OS Apple Mac Os X Server 10.2.2 Version Details Vulnerabilities
11 OS Apple Mac Os X Server 10.2.3 Version Details Vulnerabilities
12 OS Apple Mac Os X Server 10.2.4 Version Details Vulnerabilities
13 OS Apple Mac Os X Server 10.2.5 Version Details Vulnerabilities
14 OS Apple Mac Os X Server 10.2.6 Version Details Vulnerabilities
15 OS Apple Mac Os X Server 10.2.7 Version Details Vulnerabilities
16 OS Apple Mac Os X Server 10.2.8 Version Details Vulnerabilities
17 OS Apple Mac Os X Server 10.3 Version Details Vulnerabilities
18 OS Apple Mac Os X Server 10.3.1 Version Details Vulnerabilities
19 OS Apple Mac Os X Server 10.3.2 Version Details Vulnerabilities
20 OS Apple Mac Os X Server 10.3.3 Version Details Vulnerabilities
21 OS Apple Mac Os X Server 10.3.4 Version Details Vulnerabilities
22 OS Apple Mac Os X Server 10.3.5 Version Details Vulnerabilities
23 OS Apple Mac Os X Server 10.3.6 Version Details Vulnerabilities
24 OS Apple Mac Os X Server 10.3.7 Version Details Vulnerabilities
25 OS Apple Mac Os X Server 10.3.8 Version Details Vulnerabilities
26 OS Apple Mac Os X Server 10.3.9 Version Details Vulnerabilities
27 OS Apple Mac Os X Server 10.4 Version Details Vulnerabilities
28 OS Apple Mac Os X Server 10.4.1 Version Details Vulnerabilities
29 OS Apple Mac Os X Server 10.4.2 Version Details Vulnerabilities
30 OS Apple Mac Os X Server 10.4.3 Version Details Vulnerabilities
31 OS Apple Mac Os X Server 10.4.4 Version Details Vulnerabilities
32 OS Apple Mac Os X Server 10.4.5 Version Details Vulnerabilities
33 OS Apple Mac Os X Server 10.4.6 Version Details Vulnerabilities
34 OS Apple Mac Os X Server 10.4.7 Version Details Vulnerabilities
35 OS Apple Mac Os X Server 10.4.8 Version Details Vulnerabilities
36 OS Apple Mac Os X Server 10.4.9 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Apple Mac Os X Server 36

- References For CVE-2007-1863

http://bugs.gentoo.org/show_bug.cgi?id=186219 CONFIRM
http://rhn.redhat.com/errata/RHSA-2007-0556.html
REDHAT RHSA-2007:0556
http://rhn.redhat.com/errata/RHSA-2007-0534.html
REDHAT RHSA-2007:0534
http://osvdb.org/37079
OSVDB 37079
http://lists.vmware.com/pipermail/security-announce/2009/000062.html
MLIST [security-announce] 20090820 VMSA-2009-0010 VMware Hosted products update libpng and Apache HTTP Server
http://h20000.www2.hp.com/bizsupport/TechSupport/Document.jsp?objectID=c01178795
HP SSRT071447
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=244658
https://rhn.redhat.com/errata/RHSA-2007-0533.html
REDHAT RHSA-2007:0533
https://issues.rpath.com/browse/RPL-1500 CONFIRM
http://httpd.apache.org/security/vulnerabilities_20.html CONFIRM
http://httpd.apache.org/security/vulnerabilities_22.html CONFIRM
http://lists.apple.com/archives/security-announce/2008//May/msg00001.html
APPLE APPLE-SA-2008-05-28
http://secunia.com/advisories/26443
SECUNIA 26443
http://secunia.com/advisories/26273
SECUNIA 26273
http://secunia.com/advisories/25920
SECUNIA 25920
http://secunia.com/advisories/25873
SECUNIA 25873
http://secunia.com/advisories/25830
SECUNIA 25830
http://secunia.com/advisories/30430
SECUNIA 30430
http://secunia.com/advisories/28606
SECUNIA 28606
http://secunia.com/advisories/27732
SECUNIA 27732
http://secunia.com/advisories/27563
SECUNIA 27563
http://secunia.com/advisories/27037
SECUNIA 27037
http://secunia.com/advisories/26993
SECUNIA 26993
http://secunia.com/advisories/26842
SECUNIA 26842
http://secunia.com/advisories/26822
SECUNIA 26822
http://secunia.com/advisories/26508
SECUNIA 26508
http://security.gentoo.org/glsa/glsa-200711-06.xml
GENTOO GLSA-200711-06
http://support.avaya.com/elmodocs2/security/ASA-2007-353.htm CONFIRM
http://www.fujitsu.com/global/support/software/security/products-f/interstage-200802e.html CONFIRM
http://www-1.ibm.com/support/docview.wss?uid=swg1PK52702
AIXAPAR PK52702
http://www-1.ibm.com/support/docview.wss?uid=swg1PK49355
AIXAPAR PK49355
http://www.mandriva.com/security/advisories?name=MDKSA-2007:140
MANDRIVA MDKSA-2007:140
http://www.mandriva.com/security/advisories?name=MDKSA-2007:141
MANDRIVA MDKSA-2007:141
http://www.novell.com/linux/security/advisories/2007_61_apache2.html
SUSE SUSE-SA:2007:061
http://www.redhat.com/archives/fedora-package-announce/2007-September/msg00320.html
FEDORA FEDORA-2007-2214
http://www.redhat.com/support/errata/RHSA-2007-0557.html
REDHAT RHSA-2007:0557
http://www.securitytracker.com/id?1018303
SECTRACK 1018303
http://www.trustix.org/errata/2007/0026/
TRUSTIX 2007-0026
http://svn.apache.org/viewvc?view=rev&revision=535617 CONFIRM
http://www.vupen.com/english/advisories/2007/3283
VUPEN ADV-2007-3283
http://www.vupen.com/english/advisories/2007/2727
VUPEN ADV-2007-2727
http://www.securityfocus.com/bid/24649
BID 24649 Apache HTTP Server Mod_Cache Denial of Service Vulnerability Release Date:2010-08-05
http://www.securityfocus.com/archive/1/archive/1/505990/100/0/threaded
BUGTRAQ 20090821 VMSA-2009-0010 VMware Hosted products update libpng and Apache HTTP Server
http://www.vupen.com/english/advisories/2008/0233
VUPEN ADV-2008-0233
http://www.vupen.com/english/advisories/2007/3386
VUPEN ADV-2007-3386
http://www.ubuntu.com/usn/usn-499-1
UBUNTU USN-499-1
http://www.us-cert.gov/cas/techalerts/TA08-150A.html
CERT TA08-150A
http://www.vupen.com/english/advisories/2008/1697
VUPEN ADV-2008-1697

- Metasploit Modules Related To CVE-2007-1863

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.